StorageType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, enum: StorageType

Package org.apache.hadoop.fs

# Enum Class StorageType

java.lang.Object
java.lang.Enum<StorageType>
org.apache.hadoop.fs.StorageType

All Implemented Interfaces:
  `Serializable`, `Comparable<StorageType>`, `Constable`

@Public @Unstable public enum StorageType extends Enum<StorageType>
Defines the types of supported storage media. The default storage medium is assumed to be DISK.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARCHIVE`
  `DISK`
  `NVDIMM`
  `PROVIDED`
  `RAM_DISK`
  `SSD`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONF_KEY_HEADER`
  `static final StorageType`
  `DEFAULT`
  `static final StorageType[]`
  `EMPTY_ARRAY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `allowSameDiskTiering(StorageType storageType)`
  `static List<StorageType>`
  `asList()`
  `static String`
  `getConf(Configuration conf, StorageType t, String name)`
  Get the configured values for different StorageType.
  `static List<StorageType>`
  `getMovableTypes()`
  `static List<StorageType>`
  `getTypesSupportingQuota()`
  `boolean`
  `isMovable()`
  `boolean`
  `isRAM()`
  `boolean`
  `isTransient()`
  `static StorageType`
  `parseStorageType(int i)`
  `static StorageType`
  `parseStorageType(String s)`
  `boolean`
  `supportTypeQuota()`
  `static StorageType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StorageType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RAM_DISK

    public static final StorageType RAM_DISK

  - ### SSD

    public static final StorageType SSD

  - ### DISK

    public static final StorageType DISK

  - ### ARCHIVE

    public static final StorageType ARCHIVE

  - ### PROVIDED

    public static final StorageType PROVIDED

  - ### NVDIMM

    public static final StorageType NVDIMM

- ## Field Details

  - ### DEFAULT

    public static final StorageType DEFAULT

  - ### EMPTY_ARRAY

    public static final StorageType[] EMPTY_ARRAY

  - ### CONF_KEY_HEADER

    public static final String CONF_KEY_HEADER
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static StorageType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StorageType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isTransient

    public boolean isTransient()

  - ### isRAM

    public boolean isRAM()

  - ### supportTypeQuota

    public boolean supportTypeQuota()

  - ### isMovable

    public boolean isMovable()

  - ### asList

    public static List<StorageType> asList()

  - ### getMovableTypes

    public static List<StorageType> getMovableTypes()

  - ### getTypesSupportingQuota

    public static List<StorageType> getTypesSupportingQuota()

  - ### parseStorageType

    public static StorageType parseStorageType(int i)

  - ### parseStorageType

    public static StorageType parseStorageType(String s)

  - ### allowSameDiskTiering

    public static boolean allowSameDiskTiering(StorageType storageType)

  - ### getConf

    public static String getConf(Configuration conf, StorageType t, String name)
    Get the configured values for different StorageType.
    Parameters:
      `conf` - - absolute or fully qualified path
      `t` - - the StorageType
      `name` - - the sub-name of key
    Returns:
      the file system of the path